package com.cf.imes.module.system.util.locale;

import org.springframework.context.i18n.LocaleContextHolder;

import java.util.Locale;

/**
 * 国际化utils
 *
 * @author Gqr
 * @since 2025/11/11 15:15
 */
public class LocaleUtils {
    private LocaleUtils() {
    }

    /**
     * 获取当前语言，中文就默认null
     *
     * @return
     */
    public static String getLocale() {
        Locale locale = LocaleContextHolder.getLocale();

        if (Locale.CHINESE.equals(locale)) {
            return null;
        }

        return locale.getLanguage();
    }
}
